% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/derive_extreme_event.R
\name{event}
\alias{event}
\title{Create a \code{event} Object}
\usage{
event(condition, set_values_to = NULL)
}
\arguments{
\item{condition}{An unquoted condition for selecting the observations, which
will contribute to the extreme event.}

\item{set_values_to}{A named list returned by \code{exprs()} defining the variables
to be set for the extreme answer, e.g. \verb{exprs(PARAMCD = "WSP", PARAM  = "Worst Sleeping Problems"}. The values must be a symbol, a
character string, a numeric value, or \code{NA}.}
}
\value{
An object of class \code{event}
}
\description{
The \code{event} object is used to define events as input for the
\code{derive_extreme_event()} function.
}
\seealso{
\code{\link[=derive_extreme_event]{derive_extreme_event()}}

Source Objects: 
\code{\link{basket_select}()},
\code{\link{censor_source}()},
\code{\link{date_source}()},
\code{\link{death_event}},
\code{\link{dthcaus_source}()},
\code{\link{event_source}()},
\code{\link{query}()},
\code{\link{records_source}()},
\code{\link{tte_source}()}
}
\concept{source_specifications}
\keyword{source_specifications}
